

#include "xgameworldsp.h"

XGameWorldSp::XGameWorldSp()
    : XAsset() {
}

void XGameWorldSp::ParseData(QDataStream *aStream) {
    // Parse the name string
    if (GetPtr() == -1) {
        mName = XString::ParseCustom(aStream);

        // Parse the path data using our new XPathData class
        path.ParseData(aStream);
    }
}

QString XGameWorldSp::GetName() const {
    return mName;
}

void XGameWorldSp::SetName(const QString& name) {
    mName = name;
}

